
--[[
add_wave(function ()
  return waves_sequential(
    wait_dead(0.5),
    {
      wave_spawn(pos_single(vec(0.0, 0.0)), CPP_tier_1_skellington_melee),
    })
end)

add_wave(function ()
  return waves_sequential(
    wait_dead(1.0),
    {
      wave_spawn(pos_single(vec(0.0, 0.0)), CPP_tier_1_skellington_melee),
    })
end)
--]]

add_wave(function ()

  return waves_sequential(
    wait_time_or_dead(10.0, 1.0), 
    { 
    --wave_spammer_box(vec(0,0), 4.0, 100, 0.4, CPP_tier_1_skellington_melee), 
    wave_chase(50, 0.25, CPP_tier_1_skellington_melee),
  }
    )
end)

add_wave(function ()

  local attack = waves_repeat(
    { wave_spawn(pos_single(vec(0.0, 0.0)), CPP_tier_1_skellington_melee) },
    16,
    0.25)

  return waves_sequential(wait_time_or_dead(10.0, 1.0), attack)
end)

add_wave(function ()
  local dist = 2.5
  return waves_sequential(
    wait_time_or_dead(10.0, 0.5),
    {
--      wave_chase(5, 2.0, CPP_tier_1_skellington_melee),
      wave_spammer_free_in_time(20, 20.0, CPP_tier_1_skellington_melee),
--      wave_spawn(pos_single(vec(-dist, -dist)), CPP_tier_1_skellington_melee),
--      wave_spawn(pos_single(vec( dist, -dist)), CPP_tier_1_skellington_melee),
--      wave_spawn(pos_single(vec(-dist,  dist)), CPP_tier_1_skellington_melee),
--      wave_spawn(pos_single(vec( dist,  dist)), CPP_tier_1_skellington_melee),
    })
end)

print "debug.lua: Done."
